
Foreman - Feature #982

API call to get fact keys

06/14/2011 03:00 AM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee: Corey Osman   

Category: Facts   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Need API support to get a list of the facts and not their values.

History

#1 - 07/18/2011 12:50 AM - Corey Osman

- Target version set to 0.4

#2 - 07/30/2011 01:50 AM - Ohad Levy

- Category set to Facts

- Status changed from New to Closed

- Assignee set to Corey Osman

this adds support to query:

foreman/facts --> list of facts

foreamn/facts/<fact_name>/values --> fact values

fixed at b96931f2
